package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.TipoEventoExtraFormaPagoDAO;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtra;
import com.rjconsultores.ventaboletos.entidad.TipoEventoExtraFormaPago;
import com.rjconsultores.ventaboletos.service.TipoEventoExtraFormaPagoService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("tipoEventoExtraFormaPagoService")
public class TipoEventoExtraFormaPagoServiceImpl  implements TipoEventoExtraFormaPagoService {
	@Autowired
	private TipoEventoExtraFormaPagoDAO TipoEventoExtraFormaPagoDAO;
	
	
	@Transactional
	public TipoEventoExtraFormaPago suscribir(TipoEventoExtraFormaPago entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

		return TipoEventoExtraFormaPagoDAO.suscribir(entidad);
	}

	@Override
	public List<TipoEventoExtraFormaPago> obtenerTodos() {
		return TipoEventoExtraFormaPagoDAO.obtenerTodos();
	}

	@Override
	public TipoEventoExtraFormaPago obtenerID(Integer id) {
		return TipoEventoExtraFormaPagoDAO.obtenerID(id);
	}

	@Transactional
	public TipoEventoExtraFormaPago actualizacion(TipoEventoExtraFormaPago entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);
        
		return TipoEventoExtraFormaPagoDAO.actualizacion(entidad);
	}

	@Transactional
	public void borrar(TipoEventoExtraFormaPago entidad) {
		TipoEventoExtraFormaPagoDAO.borrar(entidad);
	}
	
	@Override
	public List<TipoEventoExtraFormaPago> buscarPorTipoEventoExtra(TipoEventoExtra tipoeventoextra) {
		return TipoEventoExtraFormaPagoDAO.buscarPorTipoEventoExtra(tipoeventoextra);
	}
}
